Bug 428040 - scriptlets loop over schemas
scriptlets loop over schemas
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 16:11 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 13:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-01-08 16:11:56 EST
Description of problem:

The compiz %post, %preun, etc. scripts all loop over each schema and run the
gconf tools on them.

You can pass multiple schemas to the gconf tools - this could simplify the
scriptlets, and potentially speed them up.

Version-Release number of selected component (if applicable):

compiz-0.6.2-5.fc9
Comment 1 Jim Cornette 2008-01-21 06:19:47 EST
I had a major problem with a scriplet loop in compiz-gnome-0.6.2-6.fc9
It caused yum to lock in a loop where it caused the yum update transaction to be
unsuccessful.
This bug report seemed to fit closest. I'll file a new bug report if not related
to problem.
error: %pre(compiz-gnome-0.6.2-6.fc9.i386) scriptlet failed, signal 2
error:   install: %pre scriptlet failed (2), skipping compiz-gnome-0.6.2-6.fc9
Comment 2 Bug Zapper 2008-05-14 00:21:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Adel Gadllah 2008-06-06 07:22:54 EDT
Should be fixed in the 0.7.6 builds in rawhide.
Comment 4 Adel Gadllah 2008-06-11 11:56:59 EDT
Fix didn't work. The new script fails with "filename too long".
Reverted to the old one for now.
Comment 5 Adel Gadllah 2008-06-23 13:48:53 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.